Subject: [Dots] draft-ietf-dots-requirements-00 questions/comments

From: "Roman D. Danyliw" <[email-masked]>
Date: Sat, 31 Oct 2015 01:01:17 +0000

Hello Andrew, Robert and Tiru!

[Note: This note is written as an individual contributor.  Chair hat off.]

Thanks again for preparing this initial WG draft of the requirements.  In reviewing draft-ietf-dots-requirements-00, I had the following questions and comments.

** Page 3: Section 1.1: Overview: "To achieve this aim, the protocol must permit DOTS clients ... to set the scope of the mitigation ...; and supply summarized attack information and additional hints the ...".
 	
OP-006 aligns with the "set the scope of the mitigation".  DATA-004 aligns with the "summarized attack information".  My question is whether "summarized attack information" should be restricted to only white and black lists (DATA-004).  Do we need other attack information ("attack telemetry")?

** Page 3: Terminology: I'm not sure where the canonical terminology list should be.  I noticed that draft-ietf-dots-use-case-00 includes a definition for "DDoS", "attack target" and "Countermeasure" not present in this draft.  It also defines "attack telemetry" and "mitigation" differently.   

** Page 6: General Requirements: G-004 and G-005 appear to only apply to the signal channel.  Since there is a Data Channel Requirements section (Section 2.3), it seems like there should be corresponding Signal Channel requirements one as well.  With G-003, "signaling protocol" is used to scope the requirement.  Is that the same as "signal channel" or "DOTS signal" (i.e., signal+data channel)?

** Page 7: G-006: In order for DOTS ... despite advancements in cryptanalysis ...".  I'd recommend a broader statement.  Minimally, "... despite advancements in cryptanalysis and traffic analysis".

** Page 7: G-007: " ... such as including a timestamp or sequence number in every heartbeat and signal sent between DOTS agents."  I would recommend removing this last clause.  IMO, it is too specific and implementation oriented.  The requirement articulated in the first part of the sentence is clear enough.

** Page 7: G-008: This requirement appears to only apply to the Data Channel.  IMO, it would fit better in Section 2.3, the section for data channel requirements.

** Page 7: G-008: "As the resilience requirements for DOTS mandate small ...".  I propose this sentence read "As the resilience requirements for the DOTS signal channel mandates ..." to highlight that the signal and data channels have different requirements.

** Page 9: DATA-002: How is this requirement different than G-006?  It has more specificity on why integrity and confidentiality are important for the data channel, but it still just repeats that encryption and authentication is required.

** Page 10: DATA-003: How is this authentication clause of this requirement different than OP-002? DATA-003 does add an authorization requirement not present in OP-002.

** In considering the ancillary used cases in draft-ietf-dots-use-cases-00, OP-006 would likely cover at least some of the Provisioning Use Case (Section 4.2.2).  I didn't see a requirement covering the Registration Use Case (Section 4.2.1).

Regards,
Roman